Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.cert
Class CertPathValidatorException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.security.GeneralSecurityException
                        |
                        +--org.bouncycastle.jce.cert.CertPathValidatorException

All Implemented Interfaces:
  java.io.Serializable

public class CertPathValidatorException
extends java.security.GeneralSecurityException

An exception indicating one of a variety of problems encountered when validating a certification path.
A `CertPathValidatorException` provides support for wrapping exceptions. The `getCause` method returns the throwable, if any, that caused this exception to be thrown.
A `CertPathValidatorException` may also include the certification path that was being validated when the exception was thrown and the index of the certificate in the certification path that caused the exception to be thrown. Use the `getCertPath` and `getIndex` methods to retrieve this information.
Concurrent Access
Unless otherwise specified, the methods defined in this class are not thread-safe. Multiple threads that need to access a single object concurrently should synchronize amongst themselves and provide the necessary locking. Multiple threads each manipulating separate objects need not synchronize.

See Also:
  `CertPathValidator`, Serialized Form

Constructor Summary
`CertPathValidatorException()` Creates a `CertPathValidatorException` with no detail message.
`CertPathValidatorException(java.lang.String message)` Creates a `CertPathValidatorException` with the given detail message.
`CertPathValidatorException(java.lang.String message, java.lang.Throwable cause)` Creates a `CertPathValidatorException` with the specified detail message and cause.
`CertPathValidatorException(java.lang.String message, java.lang.Throwable cause, CertPath certPath, int index)` Creates a `CertPathValidatorException` with the specified detail message, cause, certification path, and index.
`CertPathValidatorException(java.lang.Throwable cause)` Creates a `CertPathValidatorException` that wraps the specified throwable.

Method Summary
`java.lang.Throwable` | `getCause()` Returns the cause of this `CertPathValidatorException` or `null` if the cause is nonexistent or unknown.
`CertPath` | `getCertPath()` Returns the certification path that was being validated when the exception was thrown.
`int` | `getIndex()` Returns the index of the certificate in the certification path that caused the exception to be thrown.
`java.lang.String` | `getMessage()` Returns the detail message for this `CertPathValidatorException`.
`void` | `printStackTrace()` Prints a stack trace to `System.err`, including the backtrace of the cause, if any.
`void` | `printStackTrace(java.io.PrintStream ps)` Prints a stack trace to a `PrintStream`, including the backtrace of the cause, if any.
`void` | `printStackTrace(java.io.PrintWriter pw)` Prints a stack trace to a `PrintWriter`, including the backtrace of the cause, if any.
`java.lang.String` | `toString()` Returns a string describing this exception, including a description of the internal (wrapped) cause if there is one.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CertPathValidatorException

    public CertPathValidatorException()

  Creates a `CertPathValidatorException` with no detail message.

### CertPathValidatorException

    public CertPathValidatorException(java.lang.String message)

  Creates a `CertPathValidatorException` with the given detail message. A detail message is a `String` that describes this particular exception.

### CertPathValidatorException

    public CertPathValidatorException(java.lang.String message,
                                      java.lang.Throwable cause)

  Creates a `CertPathValidatorException` with the specified detail message and cause.

Parameters:
  `cause` - the cause (which is saved for later retrieval by the `getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

### CertPathValidatorException

    public CertPathValidatorException(java.lang.String message,
                                      java.lang.Throwable cause,
                                      CertPath certPath,
                                      int index)

  Creates a `CertPathValidatorException` with the specified detail message, cause, certification path, and index.

Parameters:
  `cause` - the cause (or `null` if none)
  `certPath` - the certification path that was in the process of being validated when the error was encountered
  `index` - the index of the certificate in the certification path that caused the error (or -1 if not applicable). Note that the list of certificates in a `CertPath` is zero based.
Throws:
  `java.lang.IndexOutOfBoundsException` - if the index is out of range `(index < -1 || (certPath != null && index >= certPath.getCertificates().size())`
  `java.lang.IllegalArgumentException` - if `certPath` is `null` and `index` is not -1

### CertPathValidatorException

    public CertPathValidatorException(java.lang.Throwable cause)

  Creates a `CertPathValidatorException` that wraps the specified throwable. This allows any exception to be converted into a `CertPathValidatorException`, while retaining information about the wrapped exception, which may be useful for debugging. The detail message is set to (`cause==null ? null : cause.toString()` ) (which typically contains the class and detail message of cause).

Parameters:
  `cause` - the cause (which is saved for later retrieval by the `getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Returns the detail message for this `CertPathValidatorException`.

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    the detail message, or `null` if neither the message nor cause were specified

### getCertPath

    public CertPath getCertPath()

  Returns the certification path that was being validated when the exception was thrown.

  Returns:
    the `CertPath` that was being validated when the exception was thrown (or `null` if not specified)

### getIndex

    public int getIndex()

  Returns the index of the certificate in the certification path that caused the exception to be thrown. Note that the list of certificates in a `CertPath` is zero based. If no index has been set, -1 is returned.

  Returns:
    the index that has been set, or -1 if none has been set

### getCause

    public java.lang.Throwable getCause()

  Returns the cause of this `CertPathValidatorException` or `null` if the cause is nonexistent or unknown.

  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    the cause of this throwable or `null` if the cause is nonexistent or unknown.

### toString

    public java.lang.String toString()

  Returns a string describing this exception, including a description of the internal (wrapped) cause if there is one.

  Overrides:
    `toString` in class `java.lang.Throwable`
  Returns:
    a string representation of this `CertPathValidatorException`

### printStackTrace

    public void printStackTrace()

  Prints a stack trace to `System.err`, including the backtrace of the cause, if any.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Prints a stack trace to a `PrintStream`, including the backtrace of the cause, if any.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `ps` - the `PrintStream` to use for output

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Prints a stack trace to a `PrintWriter`, including the backtrace of the cause, if any.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `pw` - the `PrintWriter` to use for output

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.20
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD